import { URLS } from "./apiConfig";
import api from "./axiosConfig";

// 인증코드 요청 IF-LGSP-000
export async function getAuthenticationCode() {
  try {
    const response = await api.get(URLS.GET_AUTHENTICATION_CODE);

    return response.data;
  } catch (error) {
    const { response } = error;

    if (response) {
      const statusCode = response.status;
      const statusText = response.statusText;

      console.error(`${statusCode} Error, ${statusText}`);
    }

    throw new Error(error);
  }
}

// 디바이스 부가 정보 조회 IF-LGSP-003
export async function getDeviceAdditionInfo() {}

// 디바이스 부가 정보 삭제 요청 IF-LGSP-087
export async function deleteDeviceAdditionInfo() {}

// 페어링 삭제 요청 IF-LGSP-078
export async function deleteDevicePairing() {}

// 페어링 생성 요청 IF-LGSP-077
export async function registerDevicePairing() {}

// 디바이스 등록 및 약관 동의 IF-LGSP-001
export async function registerDevice() {}

// 디바이스 부가 정보 저장 IF-LGSP-002
export async function registerDeviceInfo() {}

export default {
  getAuthenticationCode,
  getDeviceAdditionInfo,
  deleteDeviceAdditionInfo,
  deleteDevicePairing,
  registerDevice,
  registerDeviceInfo,
  registerDevicePairing,
};
